# $Revision: 1.20 $, $Date: 2009/11/06 14:18:42 $
%define		_lang		hu
Summary:	Hungarian resources for Iceweasel
Summary(hu.UTF-8):	Magyar nyelv Iceweasel-hez
Summary(pl.UTF-8):	Węgierskie pliki językowe dla Iceweasela
Name:		iceweasel-lang-%{_lang}
Version:	3.5.5
Release:	1
License:	MPL 1.1 or GPL v2+ or LGPL v2.1+
Group:		I18n
Source0:	http://releases.mozilla.org/pub/mozilla.org/firefox/releases/%{version}/linux-i686/xpi/%{_lang}.xpi
# Source0-md5:	d06585e665a49a704d554e107e2b7fb9
URL:		http://www.mozilla.org/
BuildRequires:	sed >= 4.0
BuildRequires:	unzip
BuildRequires:	zip
Requires:	iceweasel >= %{version}
Provides:	iceweasel-lang-resources = %{version}
Obsoletes:	mozilla-firefox-lang-hu
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_iceweaseldir	%{_datadir}/iceweasel
%define		_chromedir	%{_iceweaseldir}/chrome

%description
Hungarian resources for Iceweasel.

%description -l hu.UTF-8
Magyar nyelv Iceweasel-hez.

%description -l pl.UTF-8
Węgierskie pliki językowe dla Iceweasela.

%prep

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_chromedir},%{_iceweaseldir}/defaults/profile}

unzip %{SOURCE0} -d $RPM_BUILD_ROOT%{_libdir}
mv -f $RPM_BUILD_ROOT%{_libdir}/chrome/* $RPM_BUILD_ROOT%{_chromedir}
sed -e 's@chrome/%{_lang}\.jar@%{_lang}.jar@' $RPM_BUILD_ROOT%{_libdir}/chrome.manifest \
	> $RPM_BUILD_ROOT%{_chromedir}/%{_lang}.manifest
mv -f $RPM_BUILD_ROOT%{_libdir}/*.rdf $RPM_BUILD_ROOT%{_iceweaseldir}/defaults/profile
# rebrand locale for iceweasel
cd $RPM_BUILD_ROOT%{_chromedir}
unzip hu.jar locale/branding/brand.dtd locale/branding/brand.properties \
	locale/browser/appstrings.properties
sed -i -e 's/Mozilla Firefox/Iceweasel/g; s/Firefox/Iceweasel/g;' \
	locale/branding/brand.dtd locale/branding/brand.properties
sed -i -e 's/Firefox/Iceweasel/g;' locale/browser/appstrings.properties
zip -0 hu.jar locale/branding/brand.dtd locale/branding/brand.properties \
	locale/browser/appstrings.properties
rm -f locale/branding/brand.dtd locale/branding/brand.properties \
	locale/browser/appstrings.properties

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{_chromedir}/%{_lang}.jar
%{_chromedir}/%{_lang}.manifest
# file conflict:
#%{_iceweaseldir}/defaults/profile/*.rdf


%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: iceweasel-lang-hu.spec,v $
Revision 1.20  2009/11/06 14:18:42  duddits
- up to 3.5.5

Revision 1.19  2009/10/28 11:20:40  duddits
- up to 3.5.4

Revision 1.18  2009/09/10 08:26:04  duddits
- up to 3.5.3

Revision 1.17  2009/08/04 09:16:34  duddits
- up to 3.5.2

Revision 1.16  2009/08/03 23:34:22  adamg
- updated to 3.5.2

Revision 1.15  2009/07/17 10:05:05  duddits
- up to 3.5.1

Revision 1.14  2009/07/03 23:32:03  hawk
- no need to mess with locale/browser/aboutDialog.dtd, fixes Help -> About
- release 2

Revision 1.13  2009/07/01 13:14:04  hawk
- updated to 3.5

Revision 1.12  2009/06/12 21:16:29  duddits
- up to 3.0.11

Revision 1.11  2009/04/29 09:15:02  duddits
- up to 3.0.10

Revision 1.10  2009/04/22 05:38:09  duddits
- up to 3.0.9

Revision 1.9  2009/03/27 23:35:36  duddits
- up to 3.0.8

Revision 1.8  2009/03/05 20:00:18  duddits
- up to 3.0.7

Revision 1.7  2009/02/05 08:50:14  duddits
- updated to 3.0.7

Revision 1.6  2008/12/26 11:58:26  qboosh
- pl, fixed License information

Revision 1.5  2008/12/17 11:28:20  hawk
- updated to 3.0.5

Revision 1.4  2008/11/13 11:50:25  duddits
- up to 3.0.4

Revision 1.3  2008/10/14 19:10:39  uzsolt
- overwrite de.jar to hu.jar
- working version ;)

Revision 1.2  2008/10/14 19:06:22  uzsolt
- correct md5

Revision 1.1  2008/10/14 19:03:58  uzsolt
- initial (based on 'de' version)
